document.addEventListener('DOMContentLoaded', function () {
    const live = document.getElementById('rate_iframe');
    const loader = document.getElementById('fake_iframeRate');
    const fakeIframe = document.getElementById('appHome');

    if (live) {
        const observer = new MutationObserver(function (mutationsList) {
            for (const mutation of mutationsList) {
                for (const node of mutation.addedNodes) {
                    if (node.nodeType === 1) {
                        // Kiểm tra nếu node hoặc con cháu của node có class 'league-item'
                        if (
                            node.classList.contains('load-more-btn') ||
                            node.querySelector?.('.load-more-btn') ||
                            node.querySelector?.('.table-no-tioem') ||
                            node.querySelector?.('#tr_upper-live-titlez') ||
                            node.querySelector?.('#table_live')
                        ) {
                            if (loader) {
                                live.style.opacity = 1;
                                setTimeout(() => {
                                    fakeIframe.classList.add('hide-fake');
                                    loader.style.transition = 'opacity 0.5s ease';
                                    loader.style.opacity = 0;
                                    loader.style.display = 'none';
                                    // loader.remove();
                                }, 1000);
                            }
                            observer.disconnect(); // Ngừng theo dõi sau khi tìm thấy
                            return;
                        }
                    }
                }
            }
        });

        observer.observe(live, {
            childList: true,
            subtree: true // nếu div nằm sâu bên trong
        });
    }

//     setInterval(function () {
//         // Chọn tất cả các thẻ a có thuộc tính data-team-name
//         const links = document.querySelectorAll('a[data-team-name]');

// // Lặp qua từng thẻ và thay đổi text
//         links.forEach(link => {
//             // Ví dụ: thêm chữ " - FC" vào cuối text
//             if (link.id && getTeamName(link.id))
//                 link.textContent = getTeamName(link.id);

//             // Hoặc gán text mới hoàn toàn:
//             // link.textContent = "Đội bóng: " + link.getAttribute('data-team-name');
//         });
//     }, 1000)


});